Cines/Models/PeliculaComercial.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Cines.Models
{
    public class PeliculaComercial : Pelicula
    {
        public string Actores { get; set; }
    }

}

Cines/Controllers/PeliculaComercialController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using Cines.DAL;
using Cines.Filtros;
using Cines.Models;

namespace Cines.Controllers
{
    public class PeliculaComercialController : Controller
    {
        private CineContext db = new CineContext();

        // GET: PeliculaComercial/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            var pel = db.Peliculas.Find(id);
            var tipo = new PeliculaComercial();


            
            if(pel==null || pel.GetType() != tipo.GetType())
            {
                ViewBag.MensajeError = "La pelicula ingresada no pertenece a la categoria o no existe";
                return View("ErrorPelicula");
            }

            PeliculaComercial peliculaComercial = (PeliculaComercial) pel;
            if (peliculaComercial == null)
            {
                return HttpNotFound();
            }

            var funciones = db.Funciones
                .Include(fu => fu.Sala)
                .Where(fu => fu.PeliculaId == id);

            
            var listaFunciones = funciones.ToList();

            ViewBag.funciones = listaFunciones.OrderBy(f => f.Horario);
            return View(peliculaComercial);
        }


        // GET: PeliculaComercial/Create
        [AuthFilter]
        public ActionResult Create()
        {
            return View();
        }

        [AuthFilter]
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create(PeliculaComercial peliculaComercial,List<String> Actores)
        {
            if (peliculaComercial.DuracionMinutos < 1 || peliculaComercial.DuracionMinutos > 360)
            {
                ViewBag.MensajeError = "La duracion debe estar entre 1-360 minutos";
                return View("ErrorPelicula");
            }

            var name = DateTime.Now.ToString("yyyyMMddHHmmss");

            peliculaComercial.ImageUrl = "~/Recursos/Imagenes/" + name + peliculaComercial.Imagen.FileName;
            peliculaComercial.Imagen.SaveAs(Server.MapPath("~/Recursos/Imagenes") + "/" + name + peliculaComercial.Imagen.FileName);

            //Se que esto no es lo ideal, se que es poco seguro, pero no llegué a tiempo de desarrollar nada más apto que cubriera:
            //La cantidad de actores que se pudieran ingresar, el máximo de caracteres por nombre, que haya uno como mínimo, etc

            Actores.RemoveAll(x => string.IsNullOrEmpty(x));
            

            string actoresTodos = string.Join(", ", Actores);
            peliculaComercial.Actores = actoresTodos;

            if (ModelState.IsValid)
            {
                db.Peliculas.Add(peliculaComercial);
                db.SaveChanges();
                return RedirectToAction("Index", "Peliculas");
            }

            return View(peliculaComercial);
        }

        [AuthFilter]
        // GET: PeliculaComercial/Delete/5
        public ActionResult Delete(int? id)
        {
            var pel = db.Peliculas.Find(id);
            var tipo = new PeliculaComercial();

            if (pel == null || pel.GetType() != tipo.GetType())
            {
                ViewBag.MensajeError = "La pelicula ingresada no pertenece a la categoria o no existe";
                return View("ErrorPelicula");
            }

            PeliculaComercial peliculaComercial = (PeliculaComercial)pel;
            if (peliculaComercial == null)
            {
                return HttpNotFound();
            }

            //Se que se repite, pero es para agregar más seguridad
            var funciones = db.Funciones.ToList();

            foreach (var f in funciones)
            {
                if (f.PeliculaId == id)
                {
                    ViewBag.MensajeError = "La pelicula esta en cartelera, por lo que no puede eliminarse";
                    return View("ErrorPelicula");
                }
            }

            return View(peliculaComercial);
        }

        [AuthFilter]
        // POST: PeliculaComercial/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            var pel = db.Peliculas.Find(id);
            var tipo = new PeliculaComercial();

            if (pel == null || pel.GetType() != tipo.GetType())
            {
                ViewBag.MensajeError = "La pelicula ingresada no pertenece a la categoria o no existe";
                return View("ErrorPelicula");
            }

            PeliculaComercial peliculaComercial = (PeliculaComercial) pel;
            String UrlImagen =  peliculaComercial.ImageUrl;


             //Asumo que hay que eliminar la imagen. Si se quisiera mantener, quizás porque varias películas pudieran llegar a repetir, se puede poner que busque 
             //en la base y solo elimine si ningúna otra tiene ese path en su campo, o que si está repetida se guarde como nombre2
            
            System.IO.File.Delete(Server.MapPath(UrlImagen));

            db.Peliculas.Remove(peliculaComercial);
            db.SaveChanges();
            return RedirectToAction("Index","Peliculas");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}

Cines/Views/PeliculaComercial/Create.cshtml
@model Cines.Models.PeliculaComercial

@{
    ViewBag.Title = "Create";
}

<h2>Create</h2>


@using (Html.BeginForm("Create", "PeliculaComercial", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        <h4>PeliculaComercial</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.Nombre, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Nombre, new { htmlAttributes = new { @class = "form-control", required = "required", maxlength = "60" } })
                @Html.ValidationMessageFor(model => model.Nombre, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.DuracionMinutos, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.DuracionMinutos, new { htmlAttributes = new { @class = "form-control", min = "1", max = "360" } })
                @Html.ValidationMessageFor(model => model.DuracionMinutos, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Sinopsis, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Sinopsis, new { htmlAttributes = new { @class = "form-control", maxlength = "500" } })
                @Html.ValidationMessageFor(model => model.Sinopsis, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Actores, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                <div class="input_fields_container_part">
                    <div>
                        <input type="text" name="Actores" required maxlength="60" placeholder="Ingrese al menos 1">
                        <button class="btn btn-sm btn-primary add_more_button">Add More Fields</button>
                    </div>
                </div>
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Imagen, htmlAttributes: new { @class = "control-label col-md-2" })
            @Html.TextBoxFor(model => model.Imagen, new { Type = "File", required = "required" })
            @Html.ValidationMessageFor(model => model.Imagen)
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Crear" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    <a href="/Peliculas/Create">Volver</a>
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    @Scripts.Render("~/Scripts/AnadirActores.js")
}

Cines/Views/PeliculaComercial/Delete.cshtml
@model Cines.Models.PeliculaComercial

@{
    ViewBag.Title = "Delete";
}

<h2>ELIMINAR</h2>

<h3>¿Está seguro de que desea eliminar la película?</h3>
<div>
    <hr />
    <dl class="dl-horizontal">
        <dd>
            <img src="@Url.Content(Model.ImageUrl)" alt="Image" />
        </dd>
        <dt>
            @Html.DisplayNameFor(model => model.Nombre)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Nombre)
        </dd>

        <dt>
            Duración (minutos)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.DuracionMinutos)
        </dd>
        <dt>
            @Html.DisplayNameFor(model => model.Sinopsis)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Sinopsis)
        </dd>
        <dt>
            @Html.DisplayNameFor(model => model.Actores)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Actores)
        </dd>

    </dl>

    @using (Html.BeginForm())
    {
        @Html.AntiForgeryToken()

        <div class="form-actions no-color">
            <input type="submit" value="Eliminar" class="btn btn-default" /> |
            <a href="/Peliculas/ListaEliminar">Volver</a>
        </div>
    }
</div>

Cines/Views/PeliculaComercial/Details.cshtml
@model Cines.Models.PeliculaComercial

@{
    ViewBag.Title = "Details";
}

<h2>DETALLE</h2>

<div>
    <h4>Pelicula Comercial</h4>
    <hr />
    <dl class="dl-horizontal">

        <dd>
            <img src="@Url.Content(Model.ImageUrl)" alt="Image" height="600" width="500" />
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Nombre)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Nombre)
        </dd>

        <dt>
            Duración (minutos)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.DuracionMinutos)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Sinopsis)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Sinopsis)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Actores)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Actores)
        </dd>

    </dl>
</div>
<hr />
<h3 style="text-align:center">Funciones</h3>


<table class="table"style="table-layout:fixed;width:100%">
    <tr>
        <th>
            Cine
        </th>
        <th>
            Sala
        </th>
        <th>
            Horario
        </th>
    </tr>

    @foreach (var fun in ViewBag.Funciones)
    {
        {
    <tr>
        <td width="25%">
            @fun.Sala.CineId
        </td>
        <td width="25%">
            @fun.Sala.Numero
        </td>
        <td width="50%">
            @fun.Horario
        </td>
    </tr>
        }
    }

</table>


<p>
    <a style="text-align:center" href="/Peliculas">Volver</a>
</p>